# Interface ImaClientSideIntegration

interface ImaClientSideIntegration {
getAdDisplayContainer(): null | AdDisplayContainer;
getAdsLoader(): null | AdsLoader;
getAdsManager(): null | AdsManager;
getCurrentAd(): null | Ad;
isVpaid(): boolean;
replaceMacroVariablesFor(url): string;
requestAd(adRequestUrl): void;
setAdsRenderingSettings(adsRenderingSettings): void;
}

#####
Index

### Methods

getAdDisplayContainer
getAdsLoader
getAdsManager
getCurrentAd
isVpaid
replaceMacroVariablesFor
requestAd
setAdsRenderingSettings

## Methods

### getAdDisplayContainer

- getAdDisplayContainer(): null | AdDisplayContainer

- Get the active AdDisplayContainer instance

  #### Returns null | AdDisplayContainer

### getAdsLoader

- getAdsLoader(): null | AdsLoader

- Get the active AdsLoader instance

  #### Returns null | AdsLoader

### getAdsManager

- getAdsManager(): null | AdsManager

- Get the active AdsManager instance

  #### Returns null | AdsManager

### getCurrentAd

- getCurrentAd(): null | Ad

- Get the active Ad instance

  #### Returns null | Ad

### isVpaid

- isVpaid(): boolean

- Get whether the current ad is a VPAID ad

  #### Returns boolean

### replaceMacroVariablesFor

- replaceMacroVariablesFor(url): string

- Replace macro variables in a provided url. For list of supported macros, please see: https://player.support.brightcove.com/plugins/advertising-ima3-plugin.html#Ad_macros_and_the_serverUrl

  #### Parameters

  - url: string

  #### Returns string

### requestAd

- requestAd(adRequestUrl): void

- Request an ad

  #### Parameters

  - adRequestUrl: string

  #### Returns void

### setAdsRenderingSettings

- setAdsRenderingSettings(adsRenderingSettings): void

- Set various parameters that control the rendering of ads.

  #### Parameters

  - adsRenderingSettings: AdsRenderingSettings

  #### Returns void